Subject: Re: [tcpm] PLPMTUD for all protocols

From: [email-masked]
Date: Wed, 28 Mar 2018 16:03:21 +0200

Mikael,

Yes, the main concern raised there (and in private conversations, also here) was a perceived performance impact when there is a false positive.

Also, the (rfc4821) probing upwards is often not fully implemented due to its complexity, and the obvious chance (with TCP) of causing a loss that has to be recovered (but IMHO nothing speaks against probing with a larger segment, immediately followed with a known-ok sized segment, using the ACK sequence number to validate if the probe went ok).

At least for BSD, there is still some work to be done, before it is 4821 compliant...

Best regards,
   Richard

-----Ursprüngliche Nachricht-----
Von: "Tom Jones" <[email-masked]>
Gesendet: Mittwoch, 28. März 2018 11:03
An: "Mikael Abrahamsson" <[email-masked]>
Cc: [email-masked]
Betreff: Re: [tcpm] PLPMTUD for all protocols

On Wed, Mar 28, 2018 at 10:43:40AM +0200, Mikael Abrahamsson wrote:
> 
> Hi,
> 
> In trying to advocate for all protocols implementing PLPMTUD (RFC4821) and 
> shipping with it default on, I received pushback when I suggested/asked 
> why modern TCP stacks don't come with PMTU blackhole detect turned on.
> 
> Relevant reading is draft-bonica-intarea-frag-fragile-01, where PMTU 
> blackhole is one part of this problem space.
> 
> I tried turning on PMTU blackhole in Linux quickly in a case I had, and it 
> worked around the PMTU blackhole we had for a certain deployment scenario 
> (which couldn't be fixed unless the NMS could reconfigure the device in 
> question, which it couldn't because PMTU blackhole existed).
> 
> People suggested to me that the current TCP stack implementations are 
> broken when it comes to PMTU blackhole detection and workaround, so that's 
> why it's not on.
> 
> What's wrong with it, and how do we fix it?

Related discussion on the freebsd-net mailing list.
https://lists.freebsd.org/pipermail/freebsd-net/2018-March/049916.html

As I understand there are issues with FreeBSD increasing again after
detecting a blackhole. There is not currently enough state kept to
regrow the mtu. 

- [tj]

_______________________________________________
tcpm mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/tcpm